digiKam Software Collection 2.1.0 is out...

digiKam-sonyA500-panorama

Dear all digiKam fans and users!

After one month of development, digiKam team is proud to announce the digiKam Software Collection 2.1.0 as bug-fixes release, including a total of 53 fixed bugs.

Close companion Kipi-plugins is released along with digiKam 2.1.0. This release features a new tool ready for production coming from Google Summer of Code 2011 project dedicated to stitch photos as panorama, and 10 bug-fixes.

digiKam-panorama-tool

As usual, digiKam software collection tarball can be downloaded from SourceForge Repository

Happy digiKam...

Just in the nick of time :)

Today I had a meeting with one of my customers and he asked if I could put a panorama view on his webpage, sure, took photos. And now you write this blog post :) You can’t believe how happy this makes me right now :)

Win32

hi
Is there a version for windows in the pipe ?

Where to download the package?

Is there a distribution which provides its package for a new versions of DigiKam?

Yep

Yes there is, its name is Gentoo. Or Funtoo or Sabayon.

Cannot open database

I upgraded from 2.0.0 to 2.1.0 and now I get an error "Could not open database" (Message is in german, so I don't know the exact english text).

I had the same, and this

I had the same, and this solved it:

In digikam, go to Settings -> Configure digiKam -> Database -> OK

and it opens your database.

Hope this helps.

yes, that helped, thanks!

yes, that helped, thanks!

I have the same bug with db not found..

and additionally, when I click to skip it, digikam fails during starting on "Initializing Main View". I have Kubuntu 11.04 with KDE4.7 (as mentioned lower in the discussion, I do have both repo's "kubuntu-backports" and the "extra").

After years of using digiKam I must tell that, even it has some bugs time after time, this is the best photo library tool I have ever played with.

my bad,I did overlook that it is Philip's kubuntu-backports repo

so I just add ppa:philip5/kubuntu-backports as everyone else with kubuntu and KDE 4.7 and it is running ok now.

Once again, I must congrats to digiKam developers for such a killer application!

dng converter for digiKam v2.1.0

DNG Converter shows a blank (black) photo result when converting Nikon NEF to DNG using release v2.1.0.

Fixed...

See this entry : https://bugs.kde.org/show_bug.cgi?id=282101

Error after upgrading from 2.0 to 2.1

Dear Gilles

I love Digikam so much and use it very often. Such a great software!! Unfortunately after upgrading, I get

digikam: symbol lookup error: digikam: undefined symbol: _ZN11KExiv2Iface14AltLangStrEdit15setLinesVisibleEj

and digikam 2.1 refuses to start! Any idea?

Cheers, Ruedi

I am getting the exact same

I am getting the exact same error on Kubuntu 11.04 with KDE 4.7, after upgrading KDE.

binary compatibility...

It's a binary compatibility issue with libkexiv2. Package must be updated...

Which version of libexiv2? I

Which version of libexiv2? I have libkexiv2-10 installed. When I try to update I get options for:

libkexiv2-10
libkexiv2-8
libkexiv2-9
libkexiv2-10-dev
libkexiv2-data
libkexiv2-dbg
libkexiv2-dev

Is there a newer version not in the repositories yet?

libs

I still have these problems:

QFileSystemWatcher: failed to add paths: /home/hofer/.config/ibus/bus
> solved by creating respecive files manually

digikam: symbol lookup error: digikam: undefined symbol: _ZN11KExiv2Iface14AltLangStrEdit15setLinesVisibleEj
> so idea yet. I have these libs installed:
> ldd /usr/bin/digikam | grep exiv
> libkexiv2.so.10 => /usr/lib/libkexiv2.so.10 (0x00007f890e71c000)
> libexiv2.so.10 => /usr/lib/libexiv2.so.10 (0x00007f8904236000)
> Is there a ppa with the right one?

Cheers, Ruedi

If you are using KDE 4.7 with

If you are using KDE 4.7 with Ubuntu 11.04 and the packages from my PPA then you need both my "kubuntu-backports" and the "extra" PPA activated too which have Digikam built against KDE 4.7 instead if KDE 4.6 that comes with standard Ubuntu 11.04.

ppa added .. works now with kde4.7

Dear all

I had to add ppa:philip5/kubuntu-backports to the repos. Do an update .. and it works. Thanks all for your help!

Ruedi

going well

a similar issue went same for me when i used nokia n86 yeaqrs back.

Digikam2.1 for win

I'm interested in digikam 2.1 for win too ¿ will be a binary for it ?
Thanks